Error
A valid request URL is required to generate request examples{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"provider": "aws_secrets_manager",
"config": {
"region": "<string>",
"external_id": "<string>",
"provider": "aws_secrets_manager",
"role_arn": "<string>"
},
"enabled": true,
"all_workspaces": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"tracecat_aws_account_id": "<string>",
"tracecat_aws_principal_arn": "<string>",
"aws_partition": "<string>",
"authorized_workspace_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"reference_count": 0,
"workspace_usage": [
{
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"secret_count": 123
}
]
}
],
"next_cursor": "<string>",
"prev_cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}organization-secret-stores
List Secret Stores
List external secret stores owned by the organization.
GET
/
organization
/
secret-stores
Error
A valid request URL is required to generate request examples{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"provider": "aws_secrets_manager",
"config": {
"region": "<string>",
"external_id": "<string>",
"provider": "aws_secrets_manager",
"role_arn": "<string>"
},
"enabled": true,
"all_workspaces": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"tracecat_aws_account_id": "<string>",
"tracecat_aws_principal_arn": "<string>",
"aws_partition": "<string>",
"authorized_workspace_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"reference_count": 0,
"workspace_usage": [
{
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"secret_count": 123
}
]
}
],
"next_cursor": "<string>",
"prev_cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
APIKeyCookieServiceAccountApiKeyBearer
Query Parameters
Required range:
1 <= x <= 200Maximum string length:
8192Was this page helpful?